import { Component, ViewEncapsulation, Output, EventEmitter } from '@angular/core';
/**
 * Container-toggler
 * A generic component that helps use as a toggler for a container,
 * Emits Next and Previous events, that can be caught and handled
 *
 */
var ContainerTogglerComponent = /** @class */ (function () {
    function ContainerTogglerComponent() {
        this.nextBtn = new EventEmitter();
        this.prevBtn = new EventEmitter();
    }
    ContainerTogglerComponent.prototype.prev = function () {
        this.prevBtn.emit('P');
    };
    ContainerTogglerComponent.prototype.next = function () {
        this.nextBtn.emit('N');
    };
    ContainerTogglerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'f8-container-toggler',
                    encapsulation: ViewEncapsulation.None,
                    template: require('./container-toggler.html')
                },] },
    ];
    /** @nocollapse */
    ContainerTogglerComponent.ctorParameters = function () { return []; };
    ContainerTogglerComponent.propDecorators = {
        'nextBtn': [{ type: Output },],
        'prevBtn': [{ type: Output },],
    };
    return ContainerTogglerComponent;
}());
export { ContainerTogglerComponent };
//# sourceMappingURL=container-toggler.component.js.map