import { Component, EventEmitter, Input, Output } from '@angular/core';
var DropdownComponent = /** @class */ (function () {
    function DropdownComponent() {
        this.onUpdate = new EventEmitter();
        this.show = false;
    }
    DropdownComponent.prototype.ngOnInit = function () {
    };
    DropdownComponent.prototype.toggle = function () {
        this.show = !this.show;
    };
    DropdownComponent.prototype.open = function () {
        this.show = true;
    };
    DropdownComponent.prototype.close = function () {
        this.show = false;
    };
    DropdownComponent.prototype.onChange = function (option) {
        this.onUpdate.emit({
            currentOption: this.selected,
            newOption: option
        });
        this.toggle();
    };
    DropdownComponent.decorators = [
        { type: Component, args: [{
                    selector: 'alm-dropdown',
                    styles: [require('./dropdown.component.css').toString()],
                    template: require('./dropdown.component.html')
                },] },
    ];
    /** @nocollapse */
    DropdownComponent.ctorParameters = function () { return []; };
    DropdownComponent.propDecorators = {
        'options': [{ type: Input },],
        'selected': [{ type: Input },],
        'disabled': [{ type: Input },],
        'onUpdate': [{ type: Output, args: ['change',] },],
    };
    return DropdownComponent;
}());
export { DropdownComponent };
//# sourceMappingURL=dropdown.component.js.map