import { Directive, Input, ElementRef } from '@angular/core';
import { IconMap } from './iconmap';
var AlmIconDirective = /** @class */ (function () {
    function AlmIconDirective(elementRef) {
        this.elementRef = elementRef;
        this.iconType = 'none';
    }
    AlmIconDirective.prototype.ngOnInit = function () {
        this.addIcon();
    };
    AlmIconDirective.prototype.ngOnChanges = function () {
        this.addIcon();
    };
    AlmIconDirective.prototype.addIcon = function () {
        var iconColor = 'none';
        var element = this.elementRef.nativeElement;
        var existingClassNames = element.className.split(' ');
        var allClassesInMap = [];
        for (var key in IconMap) {
            if (IconMap.hasOwnProperty(key)) {
                IconMap[key].icon.forEach(function (item) {
                    allClassesInMap.push(item);
                });
            }
        }
        existingClassNames.forEach(function (item) {
            if (allClassesInMap.indexOf(item) > -1) {
                element.classList.remove(item);
            }
        });
        if (this.iconType in IconMap) {
            iconColor = IconMap[this.iconType].color;
            element.setAttribute("style", "color:" + iconColor);
            IconMap[this.iconType].icon.forEach(function (item) {
                element.classList.add(item);
            });
        }
        else {
            iconColor = IconMap['default'].color;
            element.setAttribute("style", "color:" + iconColor);
            IconMap['default'].icon.forEach(function (item) {
                element.classList.add(item);
            });
        }
    };
    AlmIconDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[almIcon]',
                    exportAs: 'almIcon'
                },] },
    ];
    /** @nocollapse */
    AlmIconDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AlmIconDirective.propDecorators = {
        'iconType': [{ type: Input },],
    };
    return AlmIconDirective;
}());
export { AlmIconDirective };
//# sourceMappingURL=almicon.directive.js.map