import { Component, EventEmitter, Input, Output } from '@angular/core';
import { animate, state, style, transition, trigger } from '@angular/animations';
var SlideOutPanelComponent = /** @class */ (function () {
    function SlideOutPanelComponent() {
        this.panelStateChange = new EventEmitter();
    }
    SlideOutPanelComponent.prototype.ngOnInit = function () {
    };
    SlideOutPanelComponent.prototype.ngAfterViewInit = function () {
    };
    SlideOutPanelComponent.prototype.closeDetails = function () {
        this.panelState = "out";
        this.panelStateChange.emit(this.panelState);
    };
    SlideOutPanelComponent.decorators = [
        { type: Component, args: [{
                    selector: 'alm-slide-out-panel',
                    styles: [require('./slide-out-panel.component.css').toString()],
                    animations: [
                        trigger('slideInOut', [
                            state('in', style({
                                transform: 'translateX(0)'
                            })),
                            state('out', style({
                                transform: 'translateX(100%)'
                            })),
                            transition('in => out', animate('300ms ease-in-out')),
                            transition('out => in', animate('500ms ease-in-out'))
                        ]),
                    ],
                    template: require('./slide-out-panel.component.html')
                },] },
    ];
    /** @nocollapse */
    SlideOutPanelComponent.ctorParameters = function () { return []; };
    SlideOutPanelComponent.propDecorators = {
        'panelState': [{ type: Input },],
        'itemName': [{ type: Input },],
        'itemIcon': [{ type: Input },],
        'panelStateChange': [{ type: Output },],
    };
    return SlideOutPanelComponent;
}());
export { SlideOutPanelComponent };
//# sourceMappingURL=slide-out-panel.component.js.map